JBoss API: Class Deployer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.client
Class Deployer

    java.lang.Object
      |
      +--org.jboss.jmx.client.Deployer

public class Deployer
extends java.lang.Object

Version:
  $Revision: 1.6 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:

Constructor Summary
`Deployer()`

Method Summary
`protected javax.management.ObjectName` | `createFactoryName()` creation of objectname for the deployer factored out
`protected java.net.URL` | `createUrl(java.lang.String url)` creation of url factored out
`void` | `deploy(java.lang.String url)`
`protected JMXAdaptor` | `lookupAdaptor()` lookup of JMXadaptor factored out
`static void` | `main(java.lang.String[] args)`
`void` | `undeploy(java.lang.String url)` undeploys the app under the given url spec

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Deployer

    public Deployer()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

### deploy

    public void deploy(java.lang.String url)
                throws java.lang.Exception

### undeploy

    public void undeploy(java.lang.String url)
                  throws java.lang.Exception

  undeploys the app under the given url spec

### createFactoryName

    protected javax.management.ObjectName createFactoryName()
                                                     throws javax.management.MalformedObjectNameException

  creation of objectname for the deployer factored out

### createUrl

    protected java.net.URL createUrl(java.lang.String url)
                              throws java.net.MalformedURLException

  creation of url factored out

### lookupAdaptor

    protected JMXAdaptor lookupAdaptor()
                                throws javax.naming.NamingException

  lookup of JMXadaptor factored out

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.